<form method="POST" id="level_form" class="card-content">

    <div class="card-header">
        <button type="submit" name="level_save" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/floppy-disk-solid.svg') }}" />
        </button>
        <div class="card-title">Level</div>
        <button type="submit" name="level_help" class="btn-unstyled record-btn">
            <img src="{{ url_for('static', filename='img/circle-question-solid.svg') }}" />
        </button>
    </div>

    <div class="card-btn-row">
        {% for filter_type in LevelFilterType if filter_type != LevelFilterType['NONE'] %}
            <button type="submit" name="filter_type_input" value="{{ filter_type.name }}"
                    class="btn-unstyled card-btn card-btn-sub50
                        {% if user_records.lvl.filter_type == filter_type %} card-btn-active{% endif %}">
                {{ filter_type.name }}
            </button>
        {% endfor %}
    </div>

    <div class="card-btn-row card-btn-seg20">
        {% if user_records.lvl.filter_type == LevelFilterType['SkillLevel'] %}
            <!-- Row2 -> skill: Skills = Skills['NONE'] -->
            <select id="skill_input" name="skill_input" class="select">

                {% for skill in Skills %}
                    <option class="select-options" value={{ skill.name }}
                            {% if skill == user_records.lvl.skill %} selected{% endif %}>
                        {{ skill.name }}
                    </option>
                {% endfor %}
        
            </select>

            <div class="select-arrow">❯</div>
        {% endif %}
    </div>

    <div class="card-btn-row card-btn-seg30">
        {% if user_records.lvl.filter_type != LevelFilterType['NONE'] %}
            <!-- Row3 -> bounds: tuple[str, str] = ("0", "") -->
            <div class="card-btn-sub50 card-widget">
                <label for="lvl_min_input" class="card-input-title">MIN</label>
                <input type="number" id="lvl_min_input" class="card-input" name="lvl_min_input" min="0" max="999" onfocus="this.select()" value="{{ user_records.lvl.bounds[0] }}">
            </div>

            <div class="card-btn-sub50 card-widget">
                <label for="lvl_max_input" class="card-input-title">MAX</label>
                <input type="number" id="lvl_max_input" class="card-input" name="lvl_max_input" min="0" max="999" onfocus="this.select()" value="{{ user_records.lvl.bounds[1] }}">
            </div>
        {% endif %}
    </div>

</form>
